{ theme, ... }:

{
  catppuccin.mpv = {
    enable = true;
    flavor = theme.flavor;
  };

  programs = {
    fish.shellAliases.mpvl = "mpv --profile=loop";
    mpv = {
      enable = true;
      config = {
        hwdec = "auto-safe";
        vo = "gpu";
        profile = "gpu-hq";
        gpu-context = "wayland";
      };
      profiles = {
        loop = {
          loop-playlist = "inf";
          loop-file = "inf";
        };
      };
    };
  };
}
