{ pkgs, ... }:

{
  environment = {
    sessionVariables = {
      QT_QPA_PLATFORMTHEME = "qt6ct";
      QT_QPA_PLATFORM = "wayland"; # Enable Wayland for QT
    };
    systemPackages = with pkgs.kdePackages; [
      qtwayland
      qtsvg
      qt6ct
    ];
  };

  qt.enable = true;
}
